Index: trunk/calendar/inc/class.bocalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.bocalendar.inc.php	(revision 4935)
+++ trunk/calendar/inc/class.bocalendar.inc.php	(revision 5132)
@@ -3426,11 +3658,8 @@
 																		  		   </form>";
 																				   
-														$lang5 = lang("Delegate");
-														$varbuttom4 = "<form action='".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uicalendar.screen_delegate_event&id_event=$event[id]&date=$newall3&delegator=$tmpuid' method='POST'>
+														$lang5 = lang("Suggest new hour"); 
+														$varbuttom4 = "<form action=".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uicalendar.view&cal_id=$event[id]&date=$newall3&type=1' method='POST'>
 																		  		  <input type='submit' value='$lang5'>
 																		  		   </form>";
-														
-														$lang6 = lang("Tentative");
-														$varbuttom5 ="<input type='submit' value='$lang6' onClick='javascript:window.open(\"".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uicalendar.set_action&cal_id=$event[id]&action=2&response=1&user_id=$userid\",\"frontpage\",\"height=200,width=450,statusbar=no,toolbar=no,scrollbars=no,menubar=no,left=300,top=200\")'>";														
 													}
 													else
@@ -3466,7 +3695,8 @@
 							
 							// A constante PHPGW_APP_TPL nao existe para envio de alarmes (cront, asyncservice).
-							define ("PHPGW_APP_TPL",PHPGW_API_INC . "/../../calendar/templates/".$GLOBALS['phpgw_info']['user']['preferences']['common']['template_dir']."");
+							if(!PHPGW_APP_TPL)
+                                                         define ("PHPGW_APP_TPL",PHPGW_INCLUDE_ROOT . "/calendar/templates/".$GLOBALS['phpgw_info']['user']['preferences']['common']['template_set']."");
 							
-							$body = CreateObject('phpgwapi.Template',PHPGW_APP_TPL);
+								$body = CreateObject('phpgwapi.Template',PHPGW_INCLUDE_ROOT . "/calendar/templates/".$GLOBALS['phpgw_info']['user']['preferences']['common']['template_set']."");
 							$body->set_file(Array('calendar' => 'body_email.tpl'));
 							$body->set_block('calendar','list');
@@ -3486,5 +3716,4 @@
 								'var8'				=> $var8,
 								'vardata8'			=> $vardata8,
-								'question'			=> $question,															
 								'varbuttom'			=> $varbuttom,
 								'varbuttom1'		=> $varbuttom1,
@@ -3516,18 +3745,9 @@
 							break;
 					}
+                                       
 					$mail->AddAddress($to);
-					//$mail->Body = $tmpbody;
-                                        $tmpattach_n = $this->create_vcard($GLOBALS['bocalendar']->so->cal->event);
-                                        $tmpattach = str_replace("Expresso-","",$tmpattach_n);
-                                        $mail->Body = "This is a multi-part message in MIME format.";
-                                        $mail->Body .= "\n--01BD3665.3AF0D360\n";
-                                        $mail->Body .= "Content-Type: text/html; charset=\"iso-8859-1\"\nContent-Transfer-Encoding: 8bit\n";
-                                        $mail->Body .= $tmpbody;
-                                        $mail->Body .= "\n--01BD3665.3AF0D360\n";
-                                        $mail->Body .="Content-Type:text/calendar; method=REQUEST; charset=US-ASCII\nContent-Transfer-Encoding:7bit\n\n";
-                                        $mail->Body .= $tmpattach;
-                                        $mail->Body .= "\n--01BD3665.3AF0D360--\n";
-                                        $mail->From = $sender;
-					$mail->FromName = $sender_name;
+					$mail->Body = $tmpbody;      
+					$mail->From = $sMail;
+					$mail->FromName = $sCN;
 					$mail->Sender = $mail->From;
 					$mail->SenderName = $mail->FromName;
@@ -3535,29 +3755,36 @@
 					unset($vardata5);
 					unset($vardata6);
-				}
-			}
-
-			//Inicializa variï¿œvel de retorno.
-			$returncode=true;			
-			if(count($mail->to)) {
-
-                            if(isset($new_event['attachment'])){
-                                foreach($new_event['attachment'] as $attach){
-                                    $mail->AddAttachment($attach['tmp_name'], $attach['name'], "base64", $attach['type']);
+                                        
+                                        // Envia aviso ao participante.
+                                        if(!$mail->Send()) {				
+                                                $returncode = false;
+                                                $errorInfo['participants'] = $mail->ErrorInfo;
+			}
+
+                                        $mail->ClearAddresses();    
+
                                 }
                             }
-				// Envia aviso a todos os participantes.
-				if(!$mail->Send()) {				
-					$returncode = false;
-					$errorInfo['participants'] = $mail->ErrorInfo;
+
+                        if(!is_object($this->ex_participants))
+                        {
+                            include_once($_SESSION['rootPath'].'/calendar/inc/class.ex_participants.inc.php');
+                            $objexP = new exParticipants();
+                            $objexP->setParticipantsBySerializable($this->ex_participants);
 				}
 				else
-					$returncode =  true;
-			}
+                            $objexP = $this->ex_participants;
+
 			
-			if(count($to_notify) && $this->ex_participants){
+                        if($msg_type === MSG_ADDED && count($this->extAdded) > 0)
+                               $extMails = $this->extAdded;  
+                        else if($msg_type === MSG_DELETED && count($this->extDeleted) > 0)
+                                $extMails = $this->extDeleted;  
+                        else 
+                            $extMails = array_diff($objexP->getParticipantsMailsArray(), $this->alreadyExtNotifieds);
+                               
+			if(count($extMails) > 0){
 				$mail->ClearAllRecipients();
-				$var = explode(",",trim($this->ex_participants));
-                                $mail->IsHTML(true);
+                              
 				$to = array();
 				if(!$subject) {
@@ -3567,5 +3794,5 @@
 				}
 				
-				foreach($var as $index => $ex_participant){
+				foreach($extMails as $index => $ex_participant){
 					$ex_participant = trim($ex_participant);
 					$ex_participant = preg_replace('#"(.*)" <(.*)\@(.*)\.(.*)>#','\\2@\\3.\\4',$ex_participant);
@@ -3579,6 +3806,6 @@
 				$_body = explode("<hr size='1' width='100%'>",$tmpbody);
 				$tmpbody = $_body[0] ? $_body[0] : $subject ;
-				$tmpbody.= "<br><b>".lang("external participants").":: </b> ".htmlentities($this->ex_participants);
-				$tmpbody.= "<br>".lang("Summary").": ".$this->so->cal->event[title]."<br>";
+				$tmpbody.= "<br><b>".lang("external participants").":: </b> ".htmlentities($objexP->getParticipantsMailsString());
+				$tmpbody.= "<br>".lang("Summary").": ".$this->so->cal->event[description]."<br>";
 				$tmpbody.= "<br>".lang("Start time").": ".$GLOBALS['phpgw']->common->show_date($starttime)."<br>".lang("End date").": ".$GLOBALS['phpgw']->common->show_date($endtime)."<br>";
 				$tmpbody.= "<br><br><hr size='1' width='100%'><font color='red'>"
@@ -3592,16 +3819,57 @@
 				//attach extern vcalendar/icalendar (ics)			
 				// define('context','$GLOBALS.bocalendar.so.cal.event');
-				$tmpattach = $this->create_vcard($GLOBALS['bocalendar']->so->cal->event);
+				
+				$evt = $GLOBALS['bocalendar']->so->cal->event;
+                                                                 
+                                /*
+                                 * Cria Arqvuio ICS
+                                 */
+                                require_once $_SESSION['rootPath'].'/API/class.servicelocator.php';
+                                $icalService = ServiceLocator::getService('ical');
+
+                                if($msg_type == MSG_DELETED)
+                                {
+                                        $icalService->createICal(strtoupper($method));
+                                        $icalService->addEvent(
+                                            $old_event['start']['year'].'-'.$old_event['start']['month'].'-'.$old_event['start']['mday'].' '.$old_event['start']['hour'].':'.$old_event['start']['min'].':00',
+                                            $old_event['end']['year'].'-'.$old_event['end']['month'].'-'.$old_event['end']['mday'].' '.$old_event['end']['hour'].':'.$old_event['end']['min'].':00',
+                                            array($sMail => array('CN'=> $sCN)),
+                                            $old_event['title'],
+                                            $old_event['description'],
+                                            $old_event['location'],
+                                            false,
+                                            false,
+                                            false,
+                                            $old_event['uid']
+                                            );
+                                }
+                                else
+                                {
+                                        $attendee = array();
+                                        foreach($to as $value)
+                                            $attendee[$value] = array('RSVP' => 'TRUE','ROLE' => 'REQ-PARTICIPANT');
+
+                                        $attendee =  array_merge($attendee,$this->getCalendarParticipantsArray($evt['id']));
+                                        $icalService->createICal(strtoupper($method));
+                                        $icalService->addEvent(
+                                            $evt['start']['year'].'-'.$evt['start']['month'].'-'.$evt['start']['mday'].' '.$evt['start']['hour'].':'.$evt['start']['min'].':00',
+                                            $evt['end']['year'].'-'.$evt['end']['month'].'-'.$evt['end']['mday'].' '.$evt['end']['hour'].':'.$evt['end']['min'].':00',
+                                            array($sMail => array('CN'=> $sCN)),
+                                            $evt['title'],
+                                            $evt['description'],
+                                            $evt['location'],
+                                            $attendee,
+                                            false,
+                                            false,
+                                            $evt['uid']
+                                            );
+
+                                }
+
+
+				$tmpattach = $icalService->getICal();
+                                //-------------------------------------------------//
+                                
 				if($tmpattach){					
-					$tmpbody .="<a href='../index.php?menuaction=calendar.uicalendar.add&date="
-					.$GLOBALS['bocalendar']->so->cal->event[start][year]
-				.$event_month
-				.$GLOBALS['bocalendar']->so->cal->event[start][mday]
-					."&hour=".$GLOBALS['bocalendar']->so->cal->event[start][hour]
-					."&minute=".$GLOBALS['bocalendar']->so->cal->event[start][min]
-					."&title=".$GLOBALS['bocalendar']->so->cal->event['title']
-					."&description=".$GLOBALS['bocalendar']->so->cal->event['description']
-					."&location=".$GLOBALS['bocalendar']->so->cal->event['location']."'>"
-					."<h2>".lang("Add to my expresso")."</h2>";
 					$tempdir = $GLOBALS['phpgw_info']['server']['temp_dir'] . SEP;
 					srand((double)microtime()*1000000);
@@ -3614,13 +3882,6 @@
 					fclose($attach_fd);
 				}
-
-                                if(isset($new_event['attachment'])){
-                                    foreach($new_event['attachment'] as $attach){
-                                        $mail->AddAttachment($attach['tmp_name'], $attach['name'], "base64", $attach['type']);
-                                    }
-                                }
-                                
-				$mail->From = $sender;
-				$mail->FromName = $sender_name;
+				$mail->From = $sMail;
+				$mail->FromName = $sCN;
 				$mail->Sender = $mail->From;
 				$mail->SenderName = $mail->FromName;
@@ -3651,5 +3912,5 @@
 			$GLOBALS['phpgw_info']['user']['preferences']['common']['dateformat'] = $temp_dateformat;
 			
-			// Notifica por email o criador do compromisso, com as possï¿œveis falhas.						
+			// Notifica por email o criador do compromisso, com as poss?veis falhas.						
 			if($errorInfo) {
 				$tmpbody = "<font color='red'>".lang("The following commitment had problems for DELIVERING the NOTIFICATION messages.").".</font><br>";
@@ -3678,6 +3939,6 @@
 				$mail->Host = $emailadmin['smtpServer'];
 				$mail->Port = $emailadmin['smtpPort'];
-				$mail->From = $sender;
-				$mail->FromName = $sender_name;
+				$mail->From = $sMail;
+				$mail->FromName = $sCN;
 				$mail->Sender = $mail->From;
 				$mail->SenderName = $mail->FromName;
@@ -3685,5 +3946,5 @@
 				$mail->Subject = lang("calendar event")." - ".lang("email notification");							
 				$mail->Body = $tmpbody;					
-				$mail->AddAddress($sender);
+				$mail->AddAddress($sMail);
 				if(!$mail->Send())			
 					$returncode = false;
@@ -3693,4 +3954,106 @@
 			return $returncode;
 		}
+		
+		
+		
+		/**
+		 * @license http://www.gnu.org/copyleft/gpl.html GPL
+		 * @author Prognus Software Livre (http://www.prognus.com.br)
+		 */
+		function send_suggestion_external_owner($cal_id, $uid, $to, $time_suggest, $array_data_inicio, $array_data_final, $title, $description, $location, $ex_participants,$user = false)
+                {
+
+                    if($cal_id)
+                        $event =  $this->so->read_entry($cal_id);
+                    else
+                    {
+                        $event = $this->restore_from_appsession();
+                        $this->so->add_entry( $event , false);
+                    }
+                    
+                    $this->so->cal->set_status($event['id'],$user,2);
+
+
+                    if($user && $user != $GLOBALS['phpgw_info']['user']['account_id'])
+                    {
+                        $ldap = $this->getLdap();
+                        $justthese = array("mail","cn");
+                        $filter="(&(|(phpgwAccountType=u)(phpgwAccountType=l)(phpgwAccountType=s)(phpgwAccountType=i))(uidNumber=".$user."))";
+                        $search = ldap_search($ldap, $GLOBALS['phpgw_info']['server']['ldap_context'], $filter, $justthese);
+                        $entry = ldap_get_entries($ldap, $search);
+                        $ownerMail = $entry[0]['mail'][0];
+                        $ownerCN = $entry[0]['cn'][0];
+                     }
+                     else
+                     {
+                        $ownerMail = $GLOBALS['phpgw_info']['user']['email'];
+                        $ownerCN = $GLOBALS['phpgw_info']['user']['fullname'];
+                     }
+                     
+                    require_once $_SESSION['rootPath'] . '/API/class.servicelocator.php';
+                    $icalService = ServiceLocator::getService('ical');
+                    $dia_inicio = $array_data_inicio[0];
+                    $mes_inicio = $array_data_inicio[1];
+                    $ano_inicio = $array_data_inicio[2];
+                    $hora_inicio = $time_suggest['hora_inicio'];
+                    $minuto_inicio = $time_suggest['minuto_inicio'];
+                    $dia_final = $array_data_final[0];
+                    $mes_final = $array_data_final[1];
+                    $ano_final = $array_data_final[2];
+                    $hora_final = $time_suggest['hora_final'];
+                    $minuto_final = $time_suggest['minuto_final'];
+
+                    $dtStart = $array_data_inicio[2] . '/' .
+                               $array_data_inicio[1] . '/' .
+                               $array_data_inicio[0] . ' ' .
+                               $time_suggest['hora_inicio'] . ':' .
+                               $time_suggest['minuto_inicio'] . ':00';
+
+                    $dtEnd = $array_data_final[2] . '/' .
+                             $array_data_final[1] . '/' .
+                             $array_data_final[0] . ' ' .
+                             $time_suggest['hora_final'] . ':' .
+                             $time_suggest['minuto_final'] . ':00';
+
+                    $icalService->createICal('REPLY');
+
+                    $other = array( 'X-MICROSOFT-CDO-IMPORTANCE' => '1',
+                                    'X-EXPRESSO-SUGGESTION-HOUR' => '1',
+                                    'CLASS' => 'PUBLIC',
+                                    'PRIORITY' => '5',
+                                    'SEQIENCE' => '0',
+                                    'TRANSP' => 'OPAQUE');
+
+                    /* Corpo do email */
+                    $tmpbody2 = lang("The sender suggested a new hours for the appointment");
+                    $tmpbody2.= " <br /> <b>" . lang("Title") . ":</b> $title";
+                    $tmpbody2.= " <br /> <b>" . lang("Details") . ":</b> <br /> <br /> <b>" . lang("Start") . "  </b>" . $dia_inicio . "/" . $mes_inicio . "/" . $ano_inicio . " - " . $hora_inicio . ":" . $minuto_inicio;
+                    $tmpbody2.= " <br /> <b>" . lang("End") . " </b>" . $dia_final . "/" . $mes_final . "/" . $ano_final . " - " . $hora_final . ":" . $minuto_final . "<br><br><br><br>";
+                    $tmpbody = lang("The sender suggested a new hours for the appointment");
+                    $tmpbody.= " \r\n " . lang("Title") . ": $title";
+                    $tmpbody.= " \r\n " . lang("Suggestion") . ": \r\n \r\n " . lang("Start") . "  " . $dia_inicio . "/" . $mes_inicio . "/" . $ano_inicio . " - " . $hora_inicio . ":" . $minuto_inicio;
+                    $tmpbody.= " \r\n " . lang("End") . " " . $dia_final . "/" . $mes_final . "/" . $ano_final . " - " . $hora_final . ":" . $minuto_final . "";
+
+                    $icalService->addEvent($dtStart,
+                            $dtEnd,
+                            $to,
+                            $title,
+                            utf8_encode($tmpbody),
+                            $location,
+                            array($ownerMail => array('CN' => $ownerCN, 'PARTSTAT' => 'TENTATIVE')),
+                            $other,
+                            false,
+                            $uid
+                    );
+                   
+                    $tmpattach =  $icalService->getICal();                   
+                    
+                    $mailService = ServiceLocator::getService('mail');
+                    $mailService->addStringAttachment($tmpattach, 'suggestion.ics', 'application/ics');
+                    $mailService->addStringAttachment($tmpattach, 'vcalendar.ics', 'text/calendar; charset=utf-8; method=REPLY;', '7bit', 'inline');
+                    $mailService->sendMail($to, $ownerMail, $title, $tmpbody2);
+                     
+                    return $event['id'];                    
+                }		
 		
 		function send_alarm($alarm)
@@ -3764,49 +4127,63 @@
 		}
 
-		function prepare_recipients(&$new_event,$old_event)
-		{
-						
-			// Find modified and deleted users.....
-			while(list($old_userid,$old_status) = each($old_event['participants']))
-			{
-				if(isset($new_event['participants'][$old_userid]))
-				{
-					print_debug('Modifying event for user',$old_userid);
-					$this->modified[(int)$old_userid] = $new_status;
-				}
-				else
-				{
-					print_debug('Deleting user from the event',$old_userid);
-					$this->deleted[(int)$old_userid] = $old_status;
-				}
-			}
-			// Find new users.....
-			while(list($new_userid,$new_status) = each($new_event['participants']))
-			{
-				if(!isset($old_event['participants'][$new_userid]))
-				{
-					print_debug('Adding event for user',$new_userid);
-					$this->added[$new_userid] = 'U';
-					$new_event['participants'][$new_userid] = 'U';
-				}
+		function prepare_recipients(&$new_event,$old_event,$userSend)
+		{
+                        //Verifica se ouve alguem deletado
+                        foreach($old_event['participants'] as $key => $value)
+                           if(!array_key_exists($key, $new_event['participants']))
+				{
+                               $this->deleted[$key] = $value;
+                               $this->alreadyNotifieds[] = $key; //Adiciona a variavel de ja notificados para não serem notificados 2 vezes;
+				}
+                        //Verifica se ouve alguem adicionado
+                        foreach($new_event['participants'] as $key => $value)
+                           if(!array_key_exists($key, $old_event['participants']))
+				{
+                               $this->added[$key] = $value;
+                               $this->alreadyNotifieds[] = $key; //Adiciona a variavel de ja notificados para não serem notificados 2 vezes;
 			}
 			
-			if(count($this->added) > 0 || count($this->modified) > 0 || count($this->deleted) > 0)
-			{
-				if(count($this->added) > 0)
-				{
-					$this->ex_participants = '';
-					$this->send_update(MSG_ADDED,$this->added,'',$new_event);
-				}
-				if(count($this->modified) > 0)
-				{
-					$this->send_update(MSG_MODIFIED,$this->modified,$old_event,$new_event);
-				}
-				if(count($this->deleted) > 0)
-				{
-					$this->ex_participants = '';
-					$this->send_update(MSG_DELETED,$this->deleted,$old_event);
-				}
-			}
+                        //Verifica se ouve alguem modificado
+                        foreach($new_event['participants'] as $key => $value)
+			{
+                            if(array_key_exists($key, $old_event['participants']))                       
+				{
+                                if($old_event['participants'][$key] != $value)
+				{
+                                    $this->modified[$key] = $value;  
+                                    $this->alreadyNotifieds[] = $key; //Adiciona a variavel de ja notificados para não serem notificados 2 vezes;
+				}
+				}
+			}
+                         //Verificando alterações em usuarios externos
+                         include_once($_SESSION['rootPath'].'/calendar/inc/class.ex_participants.inc.php');
+                         $extOld = new exParticipants();
+                         $extNew = new exParticipants();
+                         
+                         $extOld->setParticipantsBySerializable($old_event['ex_participants']);
+                         $extNew->setParticipantsBySerializable($new_event['ex_participants']);
+                        
+                         $oldArray = $extOld->getParticipantsMailsArray();
+                         $newArray = $extNew->getParticipantsMailsArray();
+                         
+                        //Verifica se ouve alguem deletado
+                        $this->extDeleted = array_diff($oldArray, $newArray);
+                        
+                        //Verifica se ouve alguem adicionado
+                        $this->extAdded = array_diff($newArray, $oldArray);
+                        
+                        $this->alreadyExtNotifieds = array_merge($this->alreadyExtNotifieds, $this->extDeleted);
+                        $this->alreadyExtNotifieds = array_merge($this->alreadyExtNotifieds, $this->extAdded);
+                        //---------------------------------------------------------------------------------//
+                        
+                        if(count($this->added) > 0 || count($this->extAdded))
+                                $this->send_update(MSG_ADDED,$this->added,'',$new_event,$userSend);
+                        
+                        if(count($this->modified) > 0)
+                                $this->send_update(MSG_MODIFIED,$this->modified,$old_event,$new_event,$userSend);
+                        
+                        if(count($this->deleted) > 0 || count($this->extDeleted))
+                                $this->send_update(MSG_DELETED,$this->deleted,$old_event,false,$userSend);
+                        			
 		}
 
@@ -4021,7 +4398,11 @@
 			);
 
+			$owner = $event['owner'];
+
+			$owner_name = ( $owner === -2 )? $event['organizer'] : $GLOBALS['phpgw']->common->grab_owner_name( $owner );
+
 			$var['owner'] = Array(
 				'field'	=> lang('Created By'),
-				'data'	=> $GLOBALS['phpgw']->common->grab_owner_name($event['owner'])
+				'data'  => $owner_name
 			);
 
@@ -4031,22 +4412,15 @@
 			);
 
-			$var['observations'] = Array(
-				'field'	=> $this->translate('Observations'),
-				'data'	=> $event['observations']
-			);
-			
-                        $var['attachment'] = Array(
-                                'field'	=> $this->translate('Attachment'),
-                                'data'	=> $event['attachment']
-                        );
-
-			$var['alter_by'] = Array(
-                                'field'	=> $this->translate('Alter by'),
-                                'data'	=> $event['alter_by']
-                        );
+			if($event['public']){
+				$type = lang('Public');
+			}else if (!$event['public'] && $event['type'] == 'E'){
+				$type = lang('Restrict');
+			}else{
+				$type = lang('Private');
+			}
 
 			$var['access'] = Array(
 				'field'	=> lang('Access'),
-				'data'	=> $event['public'] ? lang('Public') : lang('Private')
+				'data'	=> $type
 			);
 
Index: trunk/calendar/inc/hourReport.php
===================================================================
--- trunk/calendar/inc/hourReport.php	(revision 4931)
+++ trunk/calendar/inc/hourReport.php	(revision 5132)
@@ -95,5 +95,5 @@
 	$_SESSION['calendar']['server']['db_type']
 );
-if (IsSet($_POST['CAT']) && IsSet($_POST['CAL'])){
+if (IsSet($_POST['CAT'])){
 	if (!preg_match("/[a-zA-Z0-9]+/i",$_POST['CAT'][0])){
 		echo "Invalid entry:".$_POST['CAT'][0];
@@ -125,5 +125,5 @@
 		$query = "select cal_id,title,description,datetime,edatetime from phpgw_cal where ".(!$_POST['NORM']?"cal_type = 'H' and":" is_public = 1 and ")." owner = ".$user_id." and (category like '%,".$catid.",%' or category like '%,".$catid."' or category like '".$catid.",%' or category = '".$catid."')".(IsSet($initDate)?" and datetime > ".$initDate:"");
 		if(!$db->query($query)){
-			print("<br>Query failed.<br>");
+			print("<br>Query failed at host:<br>".$_SESSION['calendar']['server']['db_user']."@".$_SESSION['calendar']['server']['db_host'].":".$_SESSION['calendar']['server']['db_port']."<br>");
 			return;
 		}
Index: trunk/calendar/inc/hook_home_day.inc.php
===================================================================
--- trunk/calendar/inc/hook_home_day.inc.php	(revision 4322)
+++ trunk/calendar/inc/hook_home_day.inc.php	(revision 5132)
@@ -32,5 +32,6 @@
 		).'</td><td align="center"><table border="0" width="100%" cellspacing="0" cellpadding="0">'
 		. '<tr><td align="center">'.ExecMethod('calendar.bocalendar.long_date',time())
-		.'</td></tr><tr><td valign="top">'.ExecMethod('calendar.uicalendar.print_day_new',
+		.'</td></tr><tr><td bgcolor="'.$GLOBALS['phpgw_info']['theme']['bg_text']
+		.'" valign="top">'.ExecMethod('calendar.uicalendar.print_day',
 			Array(
 				'year'	=> $GLOBALS['g_year'],
